This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 469653 - "sudo -l" segfaults
"sudo -l" segfaults
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sudo (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 04:13 EST by Daniel Kopeček
Modified: 2010-10-01 02:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-17 09:18:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Kopeček 2008-11-03 04:13:30 EST
Version-Release number of selected component (if applicable):
sudo-1.6.9p17-2

How reproducible:
Always

Steps to Reproduce:
1. Install ElectricFence
2. # LD_PRELOAD=/usr/lib/libefence.so EF_PROTECT_BELOW=1 sudo -l

Actual results:
Segmentation fault

Expected results:
Displays the list of commands I am allowed to execute.

This bug was originally filed against Fedora 9 (#466292) but it should be fixed in RHEL also. A patch for this already exists and is pretty simple (it is attached in the bugreport mentioned above). The patch was also accepted by upstream and the next stable release (1.6.9p18) of sudo won't contain this bug anymore.

Note You need to log in before you can comment on or make changes to this bug.